Skip to main content
POST
/
v1
/
transcripts
/
{video_id}
/
speakers
Identify a diarized speaker as a person
curl --request POST \
  --url https://api.arcmira.com/v1/transcripts/{video_id}/speakers \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "speakerId": 1
}'
{
  "error": {
    "type": "<string>",
    "code": "<string>",
    "message": "<string>",
    "doc_url": "<string>",
    "request_id": "<string>",
    "param": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
speakerId
integer
required

Diarization speaker id from the transcript speakers[] list.

Required range: x >= 0
entityId
integer

Existing person entity id. Either entityId or name is required.

name
string

Propose a person not in the index yet — reuses an existing same-name person or creates a provisional one. Either entityId or name is required.

Required string length: 1 - 120
revision
string

Response

Success